﻿
.menu-toggle {
    display: flex;
    align-items: center;
    margin-right: auto;
}

.navbar-toggler {
    color: white;
    border-color: rgba(255, 255, 255, 0.5);
}

.navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255%2C 255%2C 255%2C 0.85%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") !important;
    width: 2.25em;
    height: 2.25em;
}

li.nav-item {
    min-width: 75px;
    border: none;
}

    li.nav-item:first-child {
        border-left: none;
    }

    li.nav-item:hover {
        background-color: transparent;
    }


.nav-link {
    font-size: 14px;
   /* padding: 0.5rem;*/
}

/* Navbar Styles */
.navbar-dark {
    color: var(--site-white);
    border: solid 1px var(--site-white);
    border-radius: var(--border-radius-sm);
}

.navbar-collapse {
    padding-right: 5px;
    padding-left: 5px;
    overflow-x: visible;
    border-top: 1px solid transparent;
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.1);
    -webkit-overflow-scrolling: touch;
}

.navbar-brand {
    float: left;
    height: 40px;
    padding: 10px 5px;
    font-size: 18px;
    line-height: 20px;
}

    .navbar-brand:hover,
    .navbar-brand:focus {
        text-decoration: none;
    }

    .navbar-brand > img {
        display: block;
    }

.navbar-nav .nav-item {
    /*padding: 0.5rem 1rem;*/
}

.nav-auth {
    margin-right: var(--spacing-lg, 25px); /* Assuming --spacing-lg is defined in variables */
}

.nav-link {
    width: auto;
    min-width: var(--nav-link-min-width, 80px);
    max-height: 35px;
    padding-left: var(--nav-link-padding, 10px);
}

.navbar-nav .nav-link {
    font-size: 1.3rem;
    /*padding: 0.25rem;*/
}

.user-info, .guest-links {
    font-size: 0.875rem;
    text-align: right;
}

.navbar-dark .navbar-nav .nav-link {
    color: var(--nav-link-color, #f8f9fa);
    padding: 0.5rem 1rem;
}

.navbar-nav {
    margin: 0 -5px;
}

    .navbar-nav > li > a {
        padding-top: 10px;
        padding-bottom: 10px;
        line-height: 20px;
    }

.navbar-nav .dropdown-menu {
    background-color: #fff;
    color: #212529;
}


/* Larger screens */
@media (min-width: 768px) {


    .menu-toggle, .navbar-toggler {
        display: none;
    }

    .navbar-nav .nav-link {
        font-size:1.0em;
       /* padding: 0.5rem 1rem;*/
    }

    .navbar-nav .nav-item {
        /*padding: 0.75rem 1.5rem;*/
    }

    .navbar-nav .dropdown-menu {
        position: absolute; /* Ensure dropdowns are properly placed */
    }
}
